Subject: [NNTP] LIST EXTENSIONS and an NNTPv2 capability

From: clive at demon.net (Clive D.W. Feather)
Date: Wed Nov 3 21:17:05 2004

Mark Crispin said:
> That would require me to read the document in full, which unfortunately I 
> haven't.  I'm just bewildered why a relatively small protocol such as NNTP 
> has a document that is almost as large as IMAP which is a much larger and 
> more complex protocol.

I've done a brief analysis of my current text (draft 25 in waiting).

There are 107 pages and 5992 lines (of which 4087 are substantive).
The breakdown of pages is:
  4  Abstract and bumf
  3  Table of contents
 16  Introduction, notation, concepts, wildmats
 39  The 22 core commands (including "initial connection")
 19  Extensions, both concepts and the three we've bundled in [*]
  8  ABNF syntax
  7  IANA and security considerations, acknowledgements
  1  References
 10  Appendices:
      1  Future directions
      3  Interaction with other specifications
      4  Summary of response codes
      2  Formal specification of extensions

[*] 2 and a bit pages of concepts, just under 17 pages of bundled

I then stripped all the examples out of the text. This lost 25 pages:
   2 from the concepts section
  16 from the core commands
   6 from the extensions
plus one more because the TOC now just fits on two pages.

-- 
Clive D.W. Feather  | Work:  <[email-masked]>   | Tel:    +44 20 8495 6138
Internet Expert     | Home:  <[email-masked]>  | Fax:    +44 870 051 9937
Demon Internet      | WWW: http://www.davros.org | Mobile: +44 7973 377646
Thus plc            |                            |